Scala Bytecode Parser2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package scalap
  Definition Classes
    tools
-  package scalax
  Definition Classes
    scalap
-  package rules
  Definition Classes
    scalax
-  package scalasig
  Definition Classes
    rules
- AliasSymbol
- AnnotInfo
- AnnotatedType
- AnnotatedWithSelfType
- Attribute
- AttributeInfo
- ByteCode
- ByteCodeReader
- Children
- ClassFile
- ClassFileHeader
- ClassFileParser
- ClassInfoType
- ClassInfoTypeWithCons
- ClassSymbol
- ConstantPool
- ConstantType
- ExistentialType
- ExternalSymbol
- Field
- Flags
- Method
- MethodSymbol
- MethodType
- NoPrefixType
- NoSymbol
- NoType
- NullaryMethodType
- ObjectSymbol
- PolyType
- PolyTypeWithCons
- RefinedType
- ScalaSig
- ScalaSigAttributeParsers
- ScalaSigEntryParsers
- ScalaSigParser
- ScalaSigParsers
- ScalaSigPrinter
- ScalaSigSymbol
- SingleType
- SourceFileAttributeParser
- SourceFileInfo
- StringBytesPair
- Symbol
- SymbolInfo
- SymbolInfoSymbol
- ThisType
- Type
- TypeBoundsType
- TypeRefType
- TypeSymbol

o

scala.tools.scalap.scalax.rules.scalasig

# ScalaSigAttributeParsers 

###

#### object ScalaSigAttributeParsers extends ByteCodeReader

Source
  ScalaSig.scala

Linear Supertypes
ByteCodeReader, RulesWithState, StateRules, Rules, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ScalaSigAttributeParsers
2. ByteCodeReader
3. RulesWithState
4. StateRules
5. Rules
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class DefaultRule [In, Out, A, X] extends Rule[In, Out, A, X]
   Definition Classes
     Rules
2.  trait FromRule [In] extends AnyRef
   Definition Classes
     Rules
3.  type Parser[A] = rules.Rule[S, S, A, String]
   Definition Classes
     ByteCodeReader
4.  type Rule[+A, +X] = rules.Rule[S, S, A, X]
   Definition Classes
     StateRules
5.  type S = ByteCode
   Definition Classes
     ByteCodeReader → StateRules

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def allOf[A, X](rules: Seq[Rule[A, X]]): (S) ⇒ Result[S, List[A], X]

   Create a rule that succeeds if all of the given rules succeed.

   Create a rule that succeeds if all of the given rules succeed.

   rules

     the rules to apply in sequence.

   Definition Classes
     StateRules
5.  def anyOf[A, X](rules: Seq[Rule[A, X]]): rules.Rule[S, S, collection.immutable.List[A], X]

   Create a rule that succeeds with a list of all the provided rules that succeed.

   Create a rule that succeeds with a list of all the provided rules that succeed.

   rules

     the rules to apply in sequence.

   Definition Classes
     StateRules
6.  def apply[A, X](f: (S) ⇒ Result[S, A, X]): rules.Rule[S, S, A, X]
   Definition Classes
     StateRules
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  val byte: rules.Rule[S, S, Byte, Nothing]
   Definition Classes
     ByteCodeReader
9.  def bytes(n: Int): rules.Rule[S, S, ByteCode, Nothing]
   Definition Classes
     ByteCodeReader
10.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
11.  def cond(f: (S) ⇒ Boolean): rules.Rule[S, S, S, Nothing]

    Create a rule that identities if f(in) is true.

    Create a rule that identities if f(in) is true.

    Definition Classes
      StateRules
12.  val entry: rules.Rule[S, S, ~[Int, ByteCode], Nothing]
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def error[X](err: X): rules.Rule[Any, Nothing, Nothing, X]
    Definition Classes
      Rules
16.  def error[In]: rules.Rule[In, Nothing, Nothing, In]
    Definition Classes
      Rules
17.  def expect[In, Out, A, Any](rule: rules.Rule[In, Out, A, Any]): (In) ⇒ A

    Converts a rule into a function that throws an Exception on failure.

    Converts a rule into a function that throws an Exception on failure.

    Definition Classes
      Rules
18.  val factory: RulesWithState
    Definition Classes
      RulesWithState → StateRules
19.  def failure: rules.Rule[Any, Nothing, Nothing, Nothing]
    Definition Classes
      Rules
20.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
21.  def from[In]: FromRule[In]
    Definition Classes
      Rules
22.  def get: rules.Rule[S, S, S, Nothing]
    Definition Classes
      StateRules
23.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
24.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
25.  implicit def inRule[In, Out, A, X](rule: rules.Rule[In, Out, A, X]): InRule[In, Out, A, X]
    Definition Classes
      Rules
26.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
27.  val longValue: rules.Rule[S, S, Long, Nothing]
28.  val nat: rules.Rule[S, S, Int, Nothing]
29.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
30.  def nil: rules.Rule[S, S, collection.immutable.Nil.type, Nothing]
    Definition Classes
      StateRules
31.  def none: rules.Rule[S, S, None.type, Nothing]
    Definition Classes
      StateRules
32.  final def notify(): Unit
    Definition Classes
      AnyRef
33.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
34.  def oneOf[In, Out, A, X](rules: rules.Rule[In, Out, A, X]*): rules.Rule[In, Out, A, X]
    Definition Classes
      Rules
35.  def parse(byteCode: ByteCode): ScalaSig
36.  val rawBytes: rules.Rule[S, S, ByteCode, Nothing]
37.  def read[A](f: (S) ⇒ A): rules.Rule[S, S, A, Nothing]
    Definition Classes
      StateRules
38.  def repeatUntil[T, X](rule: Rule[(T) ⇒ T, X])(finished: (T) ⇒ Boolean)(initial: T): rules.Rule[S, S, T, X]

    Repeatedly apply a rule from initial value until finished condition is met.

    Repeatedly apply a rule from initial value until finished condition is met.

    Definition Classes
      StateRules
39.  implicit def rule[In, Out, A, X](f: (In) ⇒ Result[Out, A, X]): rules.Rule[In, Out, A, X]
    Definition Classes
      Rules
40.  def ruleWithName[In, Out, A, X](_name: String, f: (In) ⇒ Result[Out, A, X]): rules.Rule[In, Out, A, X] with Name
    Definition Classes
      Rules
41.  val scalaSig: rules.Rule[S, S, ScalaSig, Nothing]
42.  implicit def seqRule[In, A, X](rule: rules.Rule[In, In, A, X]): SeqRule[In, A, X]
    Definition Classes
      Rules
43.  def set(s: ⇒ S): rules.Rule[S, S, S, Nothing]
    Definition Classes
      StateRules
44.  def state[s]: StateRules { type S = s }
    Definition Classes
      Rules
45.  def success[Out, A](out: Out, a: A): rules.Rule[Any, Out, A, Nothing]
    Definition Classes
      Rules
46.  val symtab: rules.Rule[S, S, Seq[~[Int, ByteCode]], Nothing]
47.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
48.  def toString(): String
    Definition Classes
      AnyRef → Any
49.  val u1: rules.Rule[S, S, Int, Nothing]
    Definition Classes
      ByteCodeReader
50.  val u2: rules.Rule[S, S, Int, Nothing]
    Definition Classes
      ByteCodeReader
51.  val u4: rules.Rule[S, S, Int, Nothing]
    Definition Classes
      ByteCodeReader
52.  def unit[A](a: ⇒ A): rules.Rule[S, S, A, Nothing]
    Definition Classes
      StateRules
53.  def update(f: (S) ⇒ S): rules.Rule[S, S, S, Nothing]
    Definition Classes
      StateRules
54.  val utf8: rules.Rule[S, S, String, Nothing]
55.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
56.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
57.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ByteCodeReader

### Inherited from RulesWithState

### Inherited from StateRules

### Inherited from Rules

### Inherited from AnyRef

### Inherited from Any

### Ungrouped